Lavalite package that provides love_spell_caster..... management facility for the cms.

## Installation

Run the below command form the root folder of lavalite.

```
    composer require "brooks1/love_spell_caster....."
```


## Migration and seeds

```
    php artisan migrate
    php artisan db:seed --class=Brooks1\\LoveSpellCaster.....\\Seeders\\LoveSpellCaster.....TableSeeder
```

## Publishing

* Configuration
```
    php artisan vendor:publish --provider="Brooks1\LoveSpellCaster.....\Providers\LoveSpellCaster.....ServiceProvider" --tag="config"
```
* Language
```
    php artisan vendor:publish --provider="Brooks1\LoveSpellCaster.....\Providers\LoveSpellCaster.....ServiceProvider" --tag="lang"
```
* Views
```
    php artisan vendor:publish --provider="Brooks1\LoveSpellCaster.....\Providers\LoveSpellCaster.....ServiceProvider" --tag="view"
```


## URLs and APIs


### Web Urls

* Admin
```
    http://path-to-route-folder/admin/love_spell_caster...../{modulename}
```

* User
```
    http://path-to-route-folder/user/love_spell_caster...../{modulename}
```

* Public
```
    http://path-to-route-folder/love_spell_caster.....s
```


### API endpoints

These endpoints can be used with or without `/api/`
And also the user can be varied depend on the type of users, eg user, client, admin etc.

#### Resource

* List
```
    http://path-to-route-folder/api/user/love_spell_caster...../{modulename}
    METHOD: GET
```

* Create
```
    http://path-to-route-folder/api/user/love_spell_caster...../{modulename}
    METHOD: POST
```

* Edit
```
    http://path-to-route-folder/api/user/love_spell_caster...../{modulename}/{id}
    METHOD: PUT
```

* Delete
```
    http://path-to-route-folder/api/user/love_spell_caster...../{modulename}/{id}
    METHOD: DELETE
```

#### Public

* List
```
    http://path-to-route-folder/api/love_spell_caster...../{modulename}
    METHOD: GET
```

* Single Item
```
    http://path-to-route-folder/api/love_spell_caster...../{modulename}/{slug}
    METHOD: GET
```

#### Others

* Report
```
    http://path-to-route-folder/api/user/love_spell_caster...../{modulename}/report/{report}
    METHOD: GET
```

* Export/Import
```
    http://path-to-route-folder/api/user/love_spell_caster...../{modulename}/exim/{exim}
    METHOD: POST
```

* Action
```
    http://path-to-route-folder/api/user/love_spell_caster...../{modulename}/action/{id}/{action}
    METHOD: PATCH
```

* Actions
```
    http://path-to-route-folder/api/user/love_spell_caster...../{modulename}/actions/{action}
    METHOD: PATCH
```

* Workflow
```
    http://path-to-route-folder/api/user/love_spell_caster...../{modulename}/workflow/{id}/{transition}
    METHOD: PATCH
```
